Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

'FIRInstanceID.h' file not found #3796

Closed
daidongon opened this issue Sep 7, 2019 · 5 comments · Fixed by #3803

Comments

@daidongon
Copy link

commented Sep 7, 2019

[REQUIRED] Step 2: Describe your environment

  • Xcode version: 10.2.1
  • Firebase SDK version: 6.8.0
  • Firebase Component: InstanceID (4.2.4), RemoteConfig (4.4.0)
  • Component version: _____
  • Firebase managed by CocoaPods ( 1.7.5 )

[REQUIRED] Step 3: Describe the problem

Build Failued

localPath/Pods/FirebaseRemoteConfig/FirebaseRemoteConfig/Sources/RCNFetch.m:21:9: In file included from localPath/Pods/FirebaseRemoteConfig/FirebaseRemoteConfig/Sources/RCNFetch.m:21:

FIRInstanceID_Private_h_と_New_Issue_·_firebase_firebase-ios-sdk

Steps to reproduce:

Relevant Code:

@google-oss-bot

This comment was marked as resolved.

Copy link
Collaborator

commented Sep 7, 2019

I found a few problems with this issue:

  • I couldn't figure out how to label this issue, so I've labeled it for a human to triage. Hang tight.
  • This issue does not seem to follow the issue template. Make sure you provide all the required information.
@morganchen12

This comment has been minimized.

Copy link
Collaborator

commented Sep 7, 2019

Normally this is something that CocoaPods takes care of. Can you try running pod deintegrate and pod install? If this doesn't solve the issue, can you share your project?

@paulb777 paulb777 added the needs-info label Sep 7, 2019
@daidongon

This comment has been minimized.

Copy link
Author

commented Sep 9, 2019

Thank you for the reply.

Can you try running pod deintegrate and pod install?

I tried it but it didn't resolve.

Podfile ( partial )

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '11.0'
install! 'cocoapods', :generate_multiple_pod_projects => true, :incremental_installation => true

use_frameworks!

target 'target' do
  pod 'Firebase/Messaging', :inhibit_warnings => false # Silent warning
  pod 'Firebase/Analytics'
  pod 'Firebase/DynamicLinks'
  pod 'Firebase/RemoteConfig'
  pod 'Firebase/Performance'

  target 'targetTests' do
    inherit! :complete
  end
end

Podfile.lock ( partial )

  - Firebase/Analytics (6.8.0):
    - Firebase/Core
  - Firebase/Core (6.8.0):
    - Firebase/CoreOnly
    - FirebaseAnalytics (= 6.1.1)
  - Firebase/CoreOnly (6.8.0):
    - FirebaseCore (= 6.2.2)
  - Firebase/DynamicLinks (6.8.0):
    - Firebase/CoreOnly
    - FirebaseDynamicLinks (~> 4.0.4)
  - Firebase/Messaging (6.8.0):
    - Firebase/CoreOnly
    - FirebaseMessaging (~> 4.1.4)
  - Firebase/Performance (6.8.0):
    - Firebase/CoreOnly
    - FirebasePerformance (~> 3.1.3)
  - Firebase/RemoteConfig (6.8.0):
    - Firebase/CoreOnly
    - FirebaseRemoteConfig (~> 4.4.0)
  - FirebaseABTesting (3.1.1):
    - FirebaseAnalyticsInterop (~> 1.3)
    - FirebaseCore (~> 6.1)
    - Protobuf (~> 3.8)
  - FirebaseAnalytics (6.1.1):
    - FirebaseCore (~> 6.2)
    - FirebaseInstanceID (~> 4.2)
    - GoogleAppMeasurement (= 6.1.1)
    - GoogleUtilities/AppDelegateSwizzler (~> 6.0)
    - GoogleUtilities/MethodSwizzler (~> 6.0)
    - GoogleUtilities/Network (~> 6.0)
    - "GoogleUtilities/NSData+zlib (~> 6.0)"
    - nanopb (~> 0.3)
  - FirebaseAnalyticsInterop (1.4.0)
  - FirebaseCore (6.2.2):
    - FirebaseCoreDiagnostics (~> 1.0)
    - FirebaseCoreDiagnosticsInterop (~> 1.0)
    - GoogleUtilities/Environment (~> 6.2)
    - GoogleUtilities/Logger (~> 6.2)
  - FirebaseCoreDiagnostics (1.0.1):
    - FirebaseCoreDiagnosticsInterop (~> 1.0)
    - GoogleDataTransportCCTSupport (~> 1.0)
    - GoogleUtilities/Environment (~> 6.2)
    - GoogleUtilities/Logger (~> 6.2)
  - FirebaseCoreDiagnosticsInterop (1.0.0)
  - FirebaseDynamicLinks (4.0.4):
    - FirebaseAnalyticsInterop (~> 1.3)
    - FirebaseCore (~> 6.2)
  - FirebaseInstanceID (4.2.4):
    - FirebaseCore (~> 6.0)
    - GoogleUtilities/Environment (~> 6.0)
    - GoogleUtilities/UserDefaults (~> 6.0)
  - FirebaseMessaging (4.1.4):
    - FirebaseAnalyticsInterop (~> 1.3)
    - FirebaseCore (~> 6.2)
    - FirebaseInstanceID (~> 4.1)
    - GoogleUtilities/AppDelegateSwizzler (~> 6.2)
    - GoogleUtilities/Environment (~> 6.2)
    - GoogleUtilities/Reachability (~> 6.2)
    - GoogleUtilities/UserDefaults (~> 6.2)
    - Protobuf (~> 3.1)
  - FirebasePerformance (3.1.3):
    - FirebaseCore (~> 6.2)
    - FirebaseInstanceID (~> 4.2)
    - FirebaseRemoteConfig (~> 4.4)
    - GoogleToolboxForMac/Logger (~> 2.1)
    - "GoogleToolboxForMac/NSData+zlib (~> 2.1)"
    - GoogleUtilities/Environment (~> 6.2)
    - GoogleUtilities/ISASwizzler (~> 6.2)
    - GoogleUtilities/MethodSwizzler (~> 6.2)
    - GTMSessionFetcher/Core (~> 1.1)
    - Protobuf (~> 3.9)
  - FirebaseRemoteConfig (4.4.0):
    - FirebaseABTesting (~> 3.1)
    - FirebaseAnalyticsInterop (~> 1.4)
    - FirebaseCore (~> 6.2)
    - FirebaseInstanceID (~> 4.2)
    - GoogleUtilities/Environment (~> 6.2)
    - "GoogleUtilities/NSData+zlib (~> 6.2)"
    - Protobuf (~> 3.9)
  - GoogleAppMeasurement (6.1.1):
    - GoogleUtilities/AppDelegateSwizzler (~> 6.0)
    - GoogleUtilities/MethodSwizzler (~> 6.0)
    - GoogleUtilities/Network (~> 6.0)
    - "GoogleUtilities/NSData+zlib (~> 6.0)"
    - nanopb (~> 0.3)
  - GoogleDataTransport (1.2.0)
  - GoogleDataTransportCCTSupport (1.0.3):
    - GoogleDataTransport (~> 1.2)
    - nanopb
@daidongon

This comment has been minimized.

Copy link
Author

commented Sep 9, 2019

The application was successfully built by changing to the following settings.

install! 'cocoapods', :generate_multiple_pod_projects => false, :incremental_installation => false
@paulb777

This comment has been minimized.

Copy link
Member

commented Sep 9, 2019

@daidongon Thanks for the report and narrowing it down to the CocoaPods configuration. We're working on a fix at #3803

@paulb777 paulb777 added this to the M55.1 milestone Sep 9, 2019
@firebase firebase locked and limited conversation to collaborators Oct 10, 2019
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
4 participants
You can’t perform that action at this time.